@charset "utf-8";

/*--------------------------------------------------------
目次
--------------------------------------------------------
1. テーマ情報
2. ルート変数
3. タイポグラフィとフォント設定
   -- for Apple
4. for Apple
5. テキスト要素のスタイル
6. ブロックエディタのデフォルト設定とレイアウト・ブレークポイントを合わせる
7. コンテナのスタイル
8. 下層ページメインビジュアル
9. パンクズリストのスタイル
10. 見出しのスタイル
11. オリジナルブロックのスタイル
12. フッターのスタイル
13. SNSリンク
14. トップに戻るボタン
15. モバイルナビボタン
16. モバイルナビ
17. ロゴ
18. サイトヘッダー
19. ブログ関連のスタイル
20.トップページメインビジュアル
21.スマホ用下部固定メニュー
--------------------------------------------------------*/

/*--------------------------------------------------------
1. テーマ情報
--------------------------------------------------------*/
/*
Theme Name: sunrise
Theme URI:
Template: lightning
Description:
Author:
Tags:
Version: 
*/

/*--------------------------------------------------------
2. ルート変数
--------------------------------------------------------*/
:root {
    --vk-color-text-body: #242322;
    --vk-color-text-link: #9c7f2a;
    --vk-color-text-link-hover: #f99a5a;
    --bg: #e9e1d1;
    --bg-light: #faefe3;
    --bg-dark: #4D4D4D;
    --swiper-theme-color: #8a6e28;
    --point: #f99a5a;
    --white: #ffffff;
    --blue: #009fe8;
    --pink: #ed86b3;
    --box-shadow: 0px 0px 3px rgba(0,0,0,.05);
    --vk-size-radius: 10px;
    --header-height: 96px;
}

/*--------------------------------------------------------
3. タイポグラフィとフォント設定
--------------------------------------------------------*/

body, html {
    /*font-family: "Noto Sans JP", sans-serif;
    font-weight: 400;*/
    
    font-family: "Zen Maru Gothic", serif;
    font-weight: 400;
    font-feature-settings: "palt";
    letter-spacing: 2px;
    background-color: var(--bg);
}
@media (max-width: 991.98px) {
    body, html {
        font-size: var(--vk-size-text);
    }
}
@media print {
    body, html {
        background-color: transparent;
    }
}

/*--------------------------------------------------------
-- for Apple
--------------------------------------------------------*/
body {
    -webkit-text-size-adjust: 100%;
}
a[href^="tel:"] {
    color: var(--vk-color-text-body);
    text-decoration: none;
}
.device-pc a[href^="tel:"] {
    pointer-events: none;
}
/*--------------------------------------------------------
4. リンクのスタイル
--------------------------------------------------------*/
a, li a, p a {
    text-decoration: none;
}
a:hover, li a:hover, p a:hover {
    text-decoration: underline;
    -webkit-text-decoration-style: solid;
    text-decoration-style: solid;
    text-underline-offset: 2px;
    text-decoration-thickness: 1px;
}

/*外部リンクにアイコンを付ける*/
.entry a[target="_blank"]::after {
    display: inline-block;
    content: "";
    width: .8em;
    height: .8em;
    background-color: var(--vk-color-text-link);
    mask-image: url("img/parts/mask-blank-txt.svg");
    mask-repeat: no-repeat;
    mask-size: contain;
    mask-position: center;
    margin-left: 4px;
    margin-right: 2px;
}

/*--------------------------------------------------------
5. テキスト要素のスタイル
--------------------------------------------------------*/
b, strong {
    font-weight: 500;
}
li {
    line-height: var(--vk-line-height);
}
address {
    font-style: normal;
    line-height: var(--vk-line-height);
}

/*--------------------------------------------------------
6. ブロックエディタのデフォルト設定とレイアウト・ブレークポイントを合わせる
--------------------------------------------------------*/

/* カラムブロックのブレイクポイントを992pxにあわせる */
@media screen and (max-width: 991.98px) {
    .wp-block-columns {
        flex-wrap: wrap !important;
    }
    .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
        flex-basis: 100% !important;
    }
}

/* カラムブロック 印刷時は横に並べる */
@media print {
    .wp-block-columns {
        flex-wrap: nowrap;
    }
    .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
        flex-basis:auto;
    }
}

/* 不要な左右マージンが入るのを回避 */
.is-layout-constrained > * {
    max-width: none;
    margin-left: 0 !important;
    margin-right: 0 !important;
}

/* 囲み（グループ）内 不要な左右マージンが入るのを回避 */
.wp-block-group h1,
.wp-block-group h2,
.wp-block-group h3,
.wp-block-group h4,
.wp-block-group h5,
.wp-block-group h6 {
    margin-left: 0!important;
    margin-bottom:  var(--vk-margin-headding-bottom)!important;
}

/*--------------------------------------------------------
7. コンテナのスタイル
--------------------------------------------------------*/
.site-body {
    padding-top: 60px!important;
    padding-bottom: 120px!important;
}
.home .site-body {
    padding-bottom: 0!important;
} 
.site-header-container {
    max-width: none!important;
}
@media print, screen and (min-width: 992px) {
    .site-header-container {
        padding-left: 60px;
        padding-right: 60px;
    }
}
@media print, screen and (min-width: 1200px) {
    .container {
        max-width: calc( 1200px + 15px + 15px );
    }    
}
@media print {
    .container {
        padding-left: 30px;
        padding-right: 30px;
    }
}
.main-section {
    margin-bottom: 0;
}

/*--------------------------------------------------------
8. 下層ページメインビジュアル
--------------------------------------------------------*/
.page-header {
    background-color: var(--bg);
    min-height: calc( 150 / 16 * 1rem );
    text-align: left;
}
.page-header {
    margin-top:var(--header-height);
}

/*--------------------------------------------------------
9. パンクズリストのスタイル
--------------------------------------------------------*/

.breadcrumb {
    background-color: var(--bg-dark);
    font-size: calc( 14 / 16 * 1rem );
    line-height: var(--vk-line-height);
}
.breadcrumb-list {
    padding: .4rem 0 .3rem;
}
.breadcrumb-list li:first-child i,
.breadcrumb-list__item--home a svg {
    display: none;
}
.breadcrumb-list li:after {
    content: "＞";
    color: var(--white);
}
.breadcrumb-list a,
.breadcrumb-list span {
    color: var(--white);
}
.breadcrumb-list a:hover {
    color: var(--white);
    text-decoration-color: var(--white);
}

/*--------------------------------------------------------
10. 見出しのスタイル
--------------------------------------------------------*/
h1, h2, h3, h4, h5, h6,
.page-header-title, h1.page-header-title {
    font-weight: 500;
} 
h2 {
    font-size: 2rem;
}
h4 {
    padding: 10px 20px;
    position: relative;
    
    background-color: var(--bg-light);
    border-top-left-radius: var(--vk-size-radius);
    border-top-right-radius: var(--vk-size-radius);
}
h5 {
    padding-left: 20px;
    position: relative;
    
    padding-bottom: 5px;
    border-bottom: 1px solid var(--bg-dark);
}
h4::before, h5::before {
    content: "\f0ad"; /* 工具アイコン (Font Awesomeのunicode) */
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    
    position: absolute;
    top: -.8em;
    left: -.2em;
    color: var(--vk-color-primary);
    font-size: .9em;
}

/*--------------------------------------------------------
11. オリジナルブロックのスタイル
--------------------------------------------------------*/

/* 囲み（グループ） */
.is-style-custom-block-wrapper-1,
.is-style-custom-block-wrapper-2 {
    max-width: none;
    padding: 30px;
    border-radius: var(--vk-size-radius);
}
.is-style-custom-block-wrapper-1 {
    border: 1px solid var(--vk-color-text-body);
}
.is-style-custom-block-wrapper-2 {
    background-color: var(--bg-light);
}
.is-style-custom-block-wrapper-1 p:last-child,
.is-style-custom-block-wrapper-2 p:last-child,
.wp-block-group[class*=wp-container-]>:is(p):last-child {
    margin-bottom: 0;
    margin-block-end: 0;
}

/* カラム */
.wp-block-columns.is-style-justify {
    justify-content: space-between;
}
.wp-block-columns.is-style-center {
    justify-content: center;
}

/*テーブル デフォルト*/
.wp-block-table tr td:first-child {
    background-color: var(--bg-light);        
}
.wp-block-table td {
    font-size: 1rem;
    padding: 1rem;
    line-height: var(--vk-line-height);
    border: 1px solid #ccc;
    border-left: none;
    border-right: none;
}
.wp-block-table {
    position: relative;
    padding-top: 2rem;
}
.wp-block-table figcaption {
    margin-top: 0;
    text-align: right;
    font-size: 1rem;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}
.wp-block-flexible-table-block-table tr th {
    font-weight: 500;
}

/*テーブル 縦積みのときは線を重ねる*/
@media screen and (max-width: 768px) {
    .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table.is-stacked-on-mobile tr:not(:last-child) th,
    .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table.is-stacked-on-mobile tr:not(:last-child) td,
    .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table.is-stacked-on-mobile tr:last-child th:not(:last-child),
    .wp-block-flexible-table-block-table.wp-block-flexible-table-block-table>table.is-stacked-on-mobile tr:last-child td:not(:last-child) {
        border-bottom-color: transparent!important;
    }
}

/*--------------------------------------------------------
12. フッターのスタイル
--------------------------------------------------------*/
.site-footer {
    font-size: 1rem;
    font-weight: 500;
    background-color: var(--bg-dark);
    
    --foot-margin: 30px;
    padding-top: calc( var(--foot-margin) * 3 );
}
.site-footer,
.site-footer a[href^="tel:"] {
    color: #fff;
}
.footer-nav {
    margin-bottom: var(--foot-margin);
}
.footer-nav-list li a {
    padding-top: .5em;
    padding-bottom: .5em;
}
.address-content {
    margin-bottom: var(--foot-margin);
}
.address-content__left {
    margin-bottom: var(--foot-margin);
}
@media print, screen and (min-width: 992px) {
    .address-content {
        display: flex;
        justify-content: space-between;
    }
    .address-content__left {
        width: 30%;
    }
    .address-content__right {
        width: calc( 70% - 60px );
    }
}
.address-content__left__imgwrap {
    position: relative;
    width: 100%; /* 幅は親要素に対して100% */
    padding-bottom: 66.67%; /* 2 / 3 * 100 = 66.67% */
    
    margin-bottom: var(--foot-margin);
}
.address-content__left__imgwrap img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; /* 画像が枠にフィットするように調整 */
}
.site-footer-copyright {
    max-width: none;
    min-height: calc( var(--foot-margin) * 2 );
    padding: 15px;
    
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}
.site-footer-copyright p {
    text-align: left;
    margin: 0;
    color: #fff;
}
.foot-access-wrap {
    position: relative;
    width: 100%; /* 幅は親要素に対して100% */
    padding-bottom: 66.67%; /* 2 / 3 * 100 = 66.67% */
}
.foot-access-wrap iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; /* 地図が枠にフィットするように調整 */
}
@media print, screen and (min-width: 992px) {
    .foot-access-wrap {
        padding-bottom: 30%; /* ブロンズレート */
    }
}

/*--------------------------------------------------------
13. SNSリンク
--------------------------------------------------------*/
.p-footer-left__sns__ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    column-gap: 12px;
}
.p-footer-left__sns__ul__li {
    margin: 0;
}
.p-footer-left__sns__ul__li a {
    display: block;
    width: 30px;
    height: 30px;
    background-color: #fff;
    mask-repeat: no-repeat;
    mask-position: center;
    mask-size: contain;
    text-indent: -9999px;
}
.p-footer-left__sns__ul__li.instagram a {
    mask-image: url("img/parts/mask-instagram.svg");
}
.p-footer-left__sns__ul__li.line a {
    mask-image: url("img/parts/mask-line.svg");
}
.p-footer-left__sns__ul__li.facebook a {
    mask-image: url("img/parts/mask-facebook.svg");
}
.p-footer-left__sns__ul__li.x-twitter a {
    mask-image: url("img/parts/mask-x.svg");
}
.p-footer-left__sns__ul__li a:hover {
    background-color: var(--vk-color-primary);
}

/*--------------------------------------------------------
14. トップに戻るボタン
--------------------------------------------------------*/
.page_top_btn {
    right: 15px;
    bottom: 15px;
    height: 40px;
    background-color: var(--bg-dark);
    box-shadow: none;
    border-radius: 50%;
}
@media screen and (max-width: 991.98px) {
    .page_top_btn {
        right: 5px;
        bottom: 60px;
    }
}

/*--------------------------------------------------------
15. モバイルナビボタン
--------------------------------------------------------*/

/*モバイルナビボタン マル*/
/*.vk-mobile-nav-menu-btn,
.vk-mobile-nav-menu-btn.menu-open {
    background-size: 80%;
    border-radius: 50%;
    width: 55px;
    height: 55px;
    border-color: var(--vk-color-text-body);
    top: 15px;
}
.vk-mobile-nav-menu-btn.position-right {
    right: 15px;
}*/

/*モバイルナビボタン シカク*/
.vk-mobile-nav-menu-btn {
    background: url(/wp-content/themes/lightning/_g3/inc/vk-mobile-nav/package/images//vk-menu-btn-white.svg) center 50% no-repeat;
}
.vk-mobile-nav-menu-btn.menu-open {
    background: url(/wp-content/themes/lightning/_g3/inc/vk-mobile-nav/package/images//vk-menu-close-white.svg) center 50% no-repeat;
}
.vk-mobile-nav-menu-btn.position-right {
    right: 0;
}
.vk-mobile-nav-menu-btn, .vk-mobile-nav-menu-btn.menu-open {
    top: 0;
    left: auto;
    border: none;
    border-radius: 0;
    width: 50px;
    height: 50px;
    background-size: 85%;
    background-color: #F99A5A;
}

/*--------------------------------------------------------
16. モバイルナビ
--------------------------------------------------------*/

/*警告を非表示*/
.veu_adminEdit.alert {
    display: none;
}

/*クリックさせない*/
.pointer-events-none>a {
    pointer-events: none;
}

/*メニューの背景*/
.vk-mobile-nav {
    background-color: rgba(255,255,255,0.9);
    border-bottom: none;
    padding: 75px 20px;
    height: 100%;
}
/*メニュー1個1個*/
.vk-mobile-nav nav>ul, .vk-mobile-nav nav ul li a {
    border: none;
}
.vk-mobile-nav nav ul li a {
    font-size: calc( 25 / 16 * 1rem );
    font-weight: 500;
    padding: .5em;
}
/*子をひらくアイコン スマホ*/
.vk-menu-acc .acc-btn {
    /*border-radius: 4px;*/
    background-size: 65%;
    width: 20%;
    height: 40px;
    top: 13.125px;
}
/*子をひらくアイコン タブレット*/
.device-mobile .global-nav-list>li .acc-btn {
    background-color: #fff;
    width: 2rem;
    right: -5px;
}

/*--------------------------------------------------------
17. ロゴ
--------------------------------------------------------*/
.site-header-logo,
.site-footer-logo {
    width: auto!important;
    display: inline-block;
    padding: 10px;
    background-color: #fff;
}
.site-footer-logo img {
    margin-left: 0;
    margin-right: 0;
}

/*--------------------------------------------------------
18. サイトヘッダー
--------------------------------------------------------*/

.site-header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    background-color: rgba(77,77,77,0.9);
}
@media screen and (min-width: 992px) {
    .site-header {
        position: fixed;
        
    }
}
@media print, screen and (min-width: 992px) {
    .site-header {
        min-height:var(--header-height);
    }
    .global-nav-list>li>a {
        color: #fff!important;
    }
    .device-pc .global-nav-list>li>a:hover {
        color: var(--point);text-decoration: none;
    }
}

/*サブメニューのスクロールバーが気になるのを解決*/
.device-pc .global-nav-list>li:focus-within li:focus-within>.sub-menu, 
.device-pc .global-nav-list>li:focus-within>.sub-menu, 
.device-pc .global-nav-list>li:hover li:focus-within>.sub-menu, 
.device-pc .global-nav-list>li:hover>.sub-menu {
    overflow-y: hidden;
}

/*--------------------------------------------------------
19.ブログ関連のスタイル
--------------------------------------------------------*/
.vk_posts {
    margin-left: 0;
    margin-right: 0;
}
.vk_post {
    margin-left: 0;
    margin-right: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: baseline;
    position: relative;
}
.postListText {
    padding: 1.4rem 0;
}
/*日*/
.postListText_date {
    font-size: .875rem;
    float: none;
    min-width: auto;
    margin-right: 0;
}
@media print, screen and (min-width: 992px) {
    .postListText_date {
        min-width: 6.25rem;
        text-align: right;
    }
}
/*カテゴリ*/
.postListText_singleTermLabel {
    float: none;
    min-width: 10rem;
    margin-right: 0;
    margin-top: 0;
    padding-left: 1.5rem;
}
@media print, screen and (min-width: 992px) {
    .postListText_singleTermLabel {
        padding-right: 1.5rem;
    }
}
.postListText_singleTermLabel a {
    background-color: var(--vk-color-primary) !important;
    line-height: 1;
    min-width: 8em;
    padding: .5em 1.5em;
    font-size: .875rem;
    color: #fff;
}
/*題名*/
.postListText_title {
    font-size: 1rem;
    padding-top: 1rem;
    width: 100%;
}
.postListText_title a {
    text-decoration: none;
}
.postListText_title a:hover {
    
}
.postListText_title a::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
@media print, screen and (min-width: 992px) {
    .postListText_title {
        width: 70%;
        padding-top: 0;
    }
}
/*ページネーション*/
ul.page-numbers li {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-right: 1rem;
}
ul.page-numbers li:last-child {
    margin-right: 0;
}
ul.page-numbers li a, ul.page-numbers li span.page-numbers {
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    margin-left: 0;
    width: 100%;
    height: 100%;
}
ul.page-numbers li a {
    background-color: var(--bg-light);
}
ul.page-numbers li span.page-numbers {
    width: 100%;
    height: 100%;
}
/*詳細記事*/
.entry-meta {
    padding: .5em 0 .3em;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
    min-height: 35px;
    line-height: var(--vk-line-height);
}
.entry-meta span {
    margin-right: 1em;
}
.entry-meta span:last-child {
    margin-right: 0;
}
.entry-meta span a:hover {
    text-decoration: underline;
}
.next-prev {
    display: none;
}

/*トップページ 先頭固定 お知らせ*/
.top__main-section section.sec-stickyNews {
    margin-bottom: 120px;
}
/*印刷のみ設定*/
@media print {
    .top__main-section section.sec-stickyNews {
        margin-bottom: 30px;
    }
}
.sec-stickyNews {
    background-color: var(--white);
    box-shadow: var(--box-shadow);
    border-radius: 15px;
    padding: 0 30px;
}
.sec-stickyNews__postListText {
    border-top: 1px dotted #ccc;
    border-bottom: none;
}
.sec-stickyNews__postListText:first-child {
    border-top: none;
}

/*--------------------------------------------------------
20.トップページメインビジュアル
--------------------------------------------------------*/
.swiper {
    overflow: visible;
}
@media print, screen and (min-width: 992px) {
    .swiper {
        /*margin-top:var(--header-height);*/
    }
}
.swiper-slide picture img {
    width: 100%;
    height: 100vh;
    object-fit: cover;
}
@media print {
    .swiper-slide picture img {
        height: 40vh;
    }    
}
.swiper-button-next, .swiper-button-prev {
    transition: opacity .3s;
}
.swiper-button-next:not(:hover), .swiper-button-prev:not(:hover) {
    opacity: 0;
}
/*印刷のみ設定*/
@media print {
    .lightning_swiper .swiper-slide {
        width: 100%!important;
    }
}

/*ページネーション*/
.swiper-pagination-bullets {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    column-gap: 5px;
        
    top: auto;
    left: auto;
    right: 30px;
    bottom: -40px!important;
    width: auto!important;
}
@media print, screen and (min-width: 992px) {
    .swiper-pagination-bullets {
        right: calc( 60px + 15px );
    }
}
.swiper-pagination-bullet {
    border-radius: 50%;
    width: 10px;
    height: 10px;
    /*background-color: var(--swiper-theme-color);*/
    outline: none;

    display: inline-block;
    margin: 0!important;
}
.swiper-pagination-bullet-active {
    background-color: var(--swiper-theme-color);
}

/*--------------------------------------------------------
21.スマホ用下部固定メニュー
--------------------------------------------------------*/
@media screen and (max-width: 767.98px) {
    footer {
        margin-bottom: 50px;
    }
    .bottommenu {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        display: flex;
        justify-content: space-between;
        z-index: 1;

        background-color: var(--bg);
        font-size: 14px;
    }
    .bottommenu__item {
        width: 23%;
    }
    .bottommenu__item:last-child {
        width: 31%;
    }
    .bottommenu__item a {
        display: flex;
        justify-content: center;
        align-items: center;
        line-height: 50px;
        width: 100%;
        height: 100%;
    }
    .bottommenu__item a:hover {
        text-decoration: none;
    }
    .bottommenu__item__tel-a, .bottommenu__item__tel-a:hover,
    a.bottommenu__item__tel-a[href^="tel:"] {
        background-color: var(--bg-dark);    
        color: var(--white);
    }
    .bottommenu__item__mail-a, .bottommenu__item__mail-a:hover {
        background-color: var(--point);
        color: var(--white);
    }
    .bottommenu__item__line-a, .bottommenu__item__line-a:hover {
        background-color: #06c755;
        color: var(--white);
    }
    .bottommenu__item__instagram-a, .bottommenu__item__instagram-a:hover {
        background: linear-gradient(45deg, rgba(254, 212, 117, 1) 0%, rgba(229, 61, 93, 1) 50%, rgba(194, 49, 134, 1) 70%, rgba(156, 56, 187, 1) 100%);
        color: var(--white);
    }
}
@media print, screen and (min-width: 768px) {
    .bottommenu {
        display: none;
    }
}